#!/bin/bash
#
# 1) converts ambiguous arff files to complete arff files
# 2) converts these complete arff files to swi prolog files
# 3) converts these prolog files to tilde files
# 4) learn from these tilde files


fileArff=$1			# arff file name (without extension .arff)
fileBkg=$2			# backgroud knowledge file (withou extension .bkg)
fileTest=$3			# test file (whithout extension .pl)
numExp=$4				# number of experience
Concept=$5               # name of the concept to learn

for proba in 0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1
do
	
	echo $proba
	
	exp=1
	while [ $exp -le $numExp ]
	do
		
		fileArffIn=${fileArff}\_$proba\_$exp
   		echo $fileArffIn
   		
   		ambiguous_to_complete_one.sh ${fileArffIn} ${fileBkg} ${fileTest} ${Concept} 
   		
   		exp=$[exp+1]
   	done	
   	
done

exit 0

