#!/usr/bin/python3.2
# (home + travail)

#!/usr/local/python32/bin/python3.2
# (magi)

# ==============================================================================
#                           CREATE N CONCURRENT K AMBIGUISATIONS	
#                           FOR EACH LEVEL OF AMBIGUITY				   
#
#	script     = sys.argv[0]       	 # script name
#	fileEx     = sys.argv[1]       	 # file containing train intentionsal complete examples (.int)
#	fileBkg    = sys.argv[2]       	 # file containing background knowledge
#	nbCross    = sys.argv[3]       	 # cross validation identifier
#	nbFold     = sys.argv[4]       	 # number of folds of the cross validation
#	factor     = sys.argv[5]            # create factor ambiguous examples from each complete example   
#	doubleRep  = sys.argv[6]			 # double representation (double_representation) 
#	probaMin   = int(sys.argv[7])       # min level of ambiguity
#	probaMax   = int(sys.argv[8])       # max level of ambiguity
	

# =================================== IMPORTS ==================================

import sys
import os
import subprocess

# ===================================== MAIN ===================================

if __name__ == '__main__' :

	script     = sys.argv[0]       	 # script name
	fileEx     = sys.argv[1]       	 # file containing train intentionsal complete examples (.int)
	fileBkg    = sys.argv[2]       	 # file containing background knowledge
	nbCross    = sys.argv[3]       	 # cross validation identifier
	nbFold     = sys.argv[4]       	 # number of folds of the cross validation
	factor     = sys.argv[5]            # create factor ambiguous examples from each complete example  
	doubleRep  = sys.argv[6]			 # double representation (double_representation) 
	probaMin   = int(sys.argv[7])       # min level of ambiguity
	probaMax   = int(sys.argv[8])       # max level of ambiguity

	print("begin of the script ", script)

	for ambiguity in range(probaMin, probaMax+1, 10):

		print("ambiguity = ", ambiguity)

						# call magi_lear_ambiguization_nk_cross_validation_one_proba.py
		program = "magi_lear_ambiguisation_nk_cross_validation_one_proba.py"
		args = [program, fileEx, fileBkg, nbCross, nbFold,
                  factor, doubleRep, str(ambiguity)]
		subprocess.call(args)

	print("end of the script ", script)

# ====================================== END ===================================
