#!/usr/bin/python3.2
# (home + travail)

#!/usr/local/python32/bin/python3.2
# (magi)

# ==============================================================================
#			GET THE NUMBER AND THE LENGTH OF RULES FOUND BY LEAR
				   
# ================================ ARGUMENTS ===================================

#	script     = sys.argv[0]       	 # script name
#	fileEx     = sys.argv[1]       	 # file name of the examples
#	nbCross    = sys.argv[2]       	 # number of cross validations
#	nbFold     = sys.argv[3]       	 # number of folds of each cross validation
#	probaMin   = int(sys.argv[4])   	 # min level of ambiguity
#	probaMax   = int(sys.argv[5])   	 # max level of ambiguity

# =================================== IMPORTS ==================================

import sys
import os
import subprocess

# ===================================== MAIN ===================================

if __name__ == '__main__' :

	script     = sys.argv[0]       	 # script name
	fileEx     = sys.argv[1]       	 # file name of the examples
	nbCross    = sys.argv[2]       	 # number of cross validations 
	nbFold     = sys.argv[3]       	 # number of folds for each cross validation
	probaMin   = int(sys.argv[4])   	 # min level of ambiguity
	probaMax   = int(sys.argv[5])   	 # max level of ambiguity


	print("begin of the script ", script)

	for ambiguity in range(probaMin, probaMax+1, 10):

		print("ambiguity = ", ambiguity)

						# call magi_lear_one_proba.py
		program = "magi_lear_stats_rules_one_proba.py"
		args = [program, fileEx, nbCross, nbFold, str(ambiguity)]
		subprocess.call(args)

	print("end of the script ", script)

# ====================================== END ===================================
