# ==============================================================================
#                          FONCTIONS STATISTIQUES DE BASE
# ==============================================================================


# ============================= IMPORTS ========================================

import math

# ============================== FONCTIONS STATS DISCRETES =====================

def moyenne(t) :
	return math.fsum(t)/len(t)


def variance(t):
	mt  = moyenne(t)
	mt2 = moyenne(__carres(t))
	return mt2 - mt*mt


def ecartType(t) :
	return math.sqrt(variance(t))

# ============================= PRECISION, RAPPEL, JUSTESSE ====================

	# retourne la "justesse" (accuracy)
def accuracy(true, false) :
	return true / (true + false)

# ============================= FONCTION INTERNES ==============================

	# retourne une liste contenant les carres des elements de la liste t
def __carres(t) :
	t2 = []
	for x in t :
		t2.append(x*x)
	return t2

# =============================== END OF LISTING ===============================


