#!/usr/bin/python3.2
# (home + travail + magi)


# ==============================================================================
#        ELIMINE TOUS LES DOSSIERS D'UN CERTAIN NOM D'UNE HIERARCHIE DE DOSSIERS	
#	
# script     = sys.argv[0]       # nom du script
# directoryName	= sys.argv[1]       # nom du dossier a effacer


# =================================== IMPORTS ==================================

import os
import sys
import subprocess

# =================================== FONCTIONS ================================
	
			# affiche tous les elements d'une liste
def displayList(List):
	for elt in List:
		print(elt)
					
			# retourne la liste des repertoires du repertoire courant
def listDirectories():
		commande = "ls -l | grep ^d | awk '{print $9}'"
		s = subprocess.getoutput(commande)
		l = s.split('\n')
		if l == ['']:
			return []
		else:
			return l
	
			# efface le fichier fileName s'il existe
def removeDirectory(Directory):
	if os.path.exists(Directory) :
		print("efface : " + Directory)
		os.system("rm -rf " + Directory)
	
					# efface les dossiers "directoryName" du repertoire 
					# courant et de tous ses sous repertoires
def removeAllDirectories(directoryName):

					# list des sous-repertoires
	currentDirectory = os.getcwd()
	print("dossier : " + currentDirectory)
	subDirectories = listDirectories()
	
					# efface directoryName local
	removeDirectory(directoryName)		

					# efface directoryName de tous les sous-repertoires
	for directory in subDirectories:
		print("directory = " + directory)
		os.chdir(directory)
		removeAllDirectories(directoryName)
		os.chdir("..")

# ===================================== MAIN ===================================

script     	= sys.argv[0]  # nom du script
directoryName	= sys.argv[1]       # nom du dossier a effacer

print("begin of the script " + script)

removeAllDirectories(directoryName)
		
print("end of the script ", script)

# ====================================== END ===================================
