/* =============================== CLAUSES HANDLING ========================= */
/*          Proposes predefined shell commands executed from Swi prolog       */
/* ========================================================================== */

:- module(shell_commands,
           [
              shell_copy_file/2  % (LClauses, LSimplified_clauses)
              			  % simplify clauses in LClauses 				   																				   		
           ]).




	/* clear the screen */
shell_clear :-
   shell(clear).


   /* make a copy of File into File_copy */
shell_copy_file(File, File_copy) :-
   atom_concat('cp ', File, Command1),
   atom_concat(Command1, ' ', Command2),
   atom_concat(Command2, File_copy, Command3),
   shell(Command3).
 
